How to manage versions

With the release of Rhino 7 how to manage different
plugins ?
My plugins are loaded with a *.ghlink file but I need to redirect to different
plugin version based on Rhino version , how to do that ?

I suggest if possible in the *.ghlink file

path to any version (default)

[Rhino 6]
path to rhino 6 version
[Rhino 7]
path to rhino 7 version

if the Rhino 6 or Rhino 7 lines are present they override the default path

gd

Is it a difficult task ? I got no reply

Isn’t the mechanism for loading specific versions based on the folder location? For example I have rhino 5, 6, and 7. You put plugins compatible with all versions in the Addins folder, and specific versions in the Addins folder within the 5, 6, or 7 folder. I assume this works with the Ghlink files too

tried but it seems to not work
the plugin is not loaded at all if I put a ghlink file in the 6 or 7 folder

No, the plugins and user objects and so on for Grasshopper are all in the same location:

It doesn’t seem like you could have specific versions, although I think the ones you install via the PackageManager should be version specific, since I just installed Rhino7 and I had to install the packages from Rhino6 again, whereas all the plugins in the Grasshopper folder were loaded automatically.

I am building a plugin and so far the sdk for rhino 7 is not backwards compatible with rhino 6 so 2 versions are needed

Not on my machine. Maybe you have to manually create the folders?

I’m assuming this system is still valid for 7.

I am aware of this but it seems id does not work for *.ghlink files

I have put 2 different ghlink files in \6\Libraries and \7\Libraries but they do not load

gd